org.apache.olingo.odata2.api.ep

## Class EntityProviderWriteProperties

- java.lang.Object
- - org.apache.olingo.odata2.api.ep.EntityProviderWriteProperties

-     public class EntityProviderWriteProperties
      extends Object

  `EntityProviderWriteProperties` contains all additional properties which are necessary to write (serialize) an `ODataEntry` into an specific format (e.g. `XML` or `JSON` or ...).

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `EntityProviderWriteProperties.ODataEntityProviderPropertiesBuilder`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EntityProviderWriteProperties.ODataEntityProviderPropertiesBuilder` | `fromProperties(EntityProviderWriteProperties properties)`
    `Map<String,Map<String,Object>>` | `getAdditionalLinks()` Gets the additional links that should be in the payload.
    `Map<String,ODataCallback>` | `getCallbacks()`
    `ExpandSelectTreeNode` | `getExpandSelectTree()` Gets the expand select tree data structure resulting from $expand and $select query options.
    `Integer` | `getInlineCount()` Gets the inlinecount.
    `InlineCount` | `getInlineCountType()` Gets the type of the inlinecount request from the system query option.
    `String` | `getNextLink()` Gets the next link used for server-side paging of feeds.
    `URI` | `getSelfLink()` Gets the self link from an application.
    `URI` | `getServiceRoot()` Gets the service root.
    `boolean` | `isContentOnly()`
    `boolean` | `isDataBasedPropertySerialization()` Returns true if the payload has dynamic properties i.e. every entry has different property list
    `boolean` | `isIncludeMetadataInContentOnly()`
    `boolean` | `isIncludeSimplePropertyType()` Returns if type information of simple properties should be in the payload.
    `boolean` | `isOmitETag()`
    `boolean` | `isOmitInlineForNullData()`
    `boolean` | `isOmitJsonWrapper()`
    `boolean` | `isResponsePayload()`
    `boolean` | `isValidatingFacets()`
    `static EntityProviderWriteProperties.ODataEntityProviderPropertiesBuilder` | `serviceRoot(URI serviceRoot)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### isOmitInlineForNullData

          public final boolean isOmitInlineForNullData()

    - #### isDataBasedPropertySerialization

          public final boolean isDataBasedPropertySerialization()

      Returns true if the payload has dynamic properties i.e. every entry has different property list
      Returns:

    - #### isOmitETag

          public final boolean isOmitETag()

    - #### isContentOnly

          public final boolean isContentOnly()

    - #### isOmitJsonWrapper

          public final boolean isOmitJsonWrapper()

    - #### isIncludeSimplePropertyType

          public final boolean isIncludeSimplePropertyType()

      Returns if type information of simple properties should be in the payload.
      Returns:
        true if information should be in the payload.

    - #### getSelfLink

          public final URI getSelfLink()

      Gets the self link from an application. May be null.
      Returns:
        the self link

    - #### getServiceRoot

          public final URI getServiceRoot()

      Gets the service root.
      Returns:
        the service root

    - #### getInlineCountType

          public final InlineCount getInlineCountType()

      Gets the type of the inlinecount request from the system query option.
      Returns:
        the type of the inlinecount request from the system query option

    - #### getCallbacks

          public final Map<String,ODataCallback> getCallbacks()

    - #### getExpandSelectTree

          public final ExpandSelectTreeNode getExpandSelectTree()

      Gets the expand select tree data structure resulting from $expand and $select query options.
      Returns:
        a parsed tree structure representing the $expand and $select

    - #### getInlineCount

          public final Integer getInlineCount()

      Gets the inlinecount.
      Returns:
        the inlinecount as Integer
      See Also:
        `getInlineCountType()`

    - #### getNextLink

          public final String getNextLink()

      Gets the next link used for server-side paging of feeds.
      Returns:
        the next link

    - #### getAdditionalLinks

          public final Map<String,Map<String,Object>> getAdditionalLinks()

      Gets the additional links that should be in the payload.
      Returns:
        the additional links as Map where the navigation-property name is the key and a key predicate is the value - a key predicate is a Map from key-property names to their values

    - #### serviceRoot

          public static EntityProviderWriteProperties.ODataEntityProviderPropertiesBuilder serviceRoot(URI serviceRoot)

    - #### isValidatingFacets

          public boolean isValidatingFacets()

    - #### isResponsePayload

          public boolean isResponsePayload()

    - #### isIncludeMetadataInContentOnly

          public boolean isIncludeMetadataInContentOnly()

    - #### fromProperties

          public static EntityProviderWriteProperties.ODataEntityProviderPropertiesBuilder fromProperties(EntityProviderWriteProperties properties)

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.